/*
 * @(#)src/classes/sov/javax/management/InstanceAlreadyExistsException.java, management, asdev, 20091027 1.3
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */

/*
 * @(#)InstanceAlreadyExistsException.java	4.15 03/12/19
 * 
 */

package javax.management; 


/**
 * The MBean is already registered in the repository.
 *
 * @since 1.5
 */
public class InstanceAlreadyExistsException extends OperationsException   { 

    /* Serial version */
    private static final long serialVersionUID = 8893743928912733931L;

    /**
     * Default constructor.
     */
    public InstanceAlreadyExistsException() {
	super();
    }
    
    /**
     * Constructor that allows a specific error message to be specified.
     *
     * @param message the detail message.
     */
    public InstanceAlreadyExistsException(String message) {
	super(message);
    }
    
 }
