/*
 * @(#)src/classes/sov/javax/print/attribute/SupportedValuesAttribute.java, print, asdev, 20091027 1.8
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */





/* 
 *
 * Change activity:
 *
 * Reason  Date   Origin    Description
 * ------  ----   ------    -------------------------------------------------- 
 * 64632   250903 psuryana  Add IBM module header;
 *
 * ===========================================================================
 * Module Information:
 * 
 * DESCRIPTION: IBM.WRITEME
 * ===========================================================================
 */


package javax.print.attribute;

/**
 * Interface SupportedValuesAttribute is a tagging interface which a printing 
 * attribute class implements to indicate the attribute describes the supported 
 * values for another attribute. For example, if a Print Service instance 
 * supports the {@link javax.print.attribute.standard.Copies Copies} 
 * attribute, the Print Service instance will have a {@link 
 * javax.print.attribute.standard.CopiesSupported CopiesSupported} attribute, 
 * which is a SupportedValuesAttribute giving the legal values a client may 
 * specify for the {@link javax.print.attribute.standard.Copies Copies} 
 * attribute. 
 * <P>
 *
 * @author  Alan Kaminsky
 */
public interface SupportedValuesAttribute extends Attribute {
}
